Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.amazonaws.services.s3.model
Enum CannedAccessControlList

    java.lang.Object
      java.lang.Enum<CannedAccessControlList>
          com.amazonaws.services.s3.model.CannedAccessControlList

All Implemented Interfaces:
  Serializable, Comparable<CannedAccessControlList>

    public enum CannedAccessControlList

extends Enum<CannedAccessControlList>

CannedAccessControlLists are commonly used AccessControlLists that can be used as a shortcut when applying an AccessControlList to Amazon S3 buckets and objects. Only a few commonly used configurations are available, but they offer an alternative to manually creating a custom ACL. If more specific access control is desired, you can create a custom `AccessControlList`.

See Also:
  `AccessControlList`

Enum Constant Summary
`AuthenticatedRead` Owner gets `Permission.FullControl` and the `GroupGrantee.AuthenticatedUsers` group grantee is granted `Permission.Read` access.
`BucketOwnerFullControl` The owner of the bucket (not necessarily the same as the owner of the object) gets `Permission.FullControl`.
`BucketOwnerRead` The owner of the bucket (not necessarily the same as the owner of the object) gets `Permission.Read`.
`LogDeliveryWrite` Owner gets `Permission.FullControl` and the `GroupGrantee.LogDelivery` group grantee is granted `Permission.Write` access so that access logs can be delivered.
`Private` Owner gets `Permission.FullControl`.
`PublicRead` Owner gets `Permission.FullControl` and the `GroupGrantee.AllUsers` group grantee is granted `Permission.Read` access.
`PublicReadWrite` Owner gets `Permission.FullControl` and the `GroupGrantee.AllUsers` group grantee is granted `Permission.Read` and `Permission.Write` access.

Method Summary
`String` | `toString()` Returns the Amazon S3 x-amz-acl header value for this canned acl.
`static CannedAccessControlList` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CannedAccessControlList[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Private

    public static final CannedAccessControlList Private

  Owner gets `Permission.FullControl`. No one else has access rights.

  This is the default access control policy for any new buckets or objects.

### PublicRead

    public static final CannedAccessControlList PublicRead

  Owner gets `Permission.FullControl` and the `GroupGrantee.AllUsers` group grantee is granted `Permission.Read` access.

  If this policy is used on an object, it can be read from a browser with no authentication.

### PublicReadWrite

    public static final CannedAccessControlList PublicReadWrite

  Owner gets `Permission.FullControl` and the `GroupGrantee.AllUsers` group grantee is granted `Permission.Read` and `Permission.Write` access.

  This can be a useful policy to apply to a bucket, but is generally not recommended.

### AuthenticatedRead

    public static final CannedAccessControlList AuthenticatedRead

  Owner gets `Permission.FullControl` and the `GroupGrantee.AuthenticatedUsers` group grantee is granted `Permission.Read` access.

### LogDeliveryWrite

    public static final CannedAccessControlList LogDeliveryWrite

  Owner gets `Permission.FullControl` and the `GroupGrantee.LogDelivery` group grantee is granted `Permission.Write` access so that access logs can be delivered.

  This is a useful access policy to use if you want to enable Amazon S3 bucket logging for one of your buckets, since it requires a destination bucket with these permissions.

### BucketOwnerRead

    public static final CannedAccessControlList BucketOwnerRead

  The owner of the bucket (not necessarily the same as the owner of the object) gets `Permission.Read`.

  This is a useful access policy if you need to upload objects to someone else's bucket and need to grant the bucket owner access to read the object, but don't want to give public read access for the object.

### BucketOwnerFullControl

    public static final CannedAccessControlList BucketOwnerFullControl

  The owner of the bucket (not necessarily the same as the owner of the object) gets `Permission.FullControl`.

  This is a useful access policy if you need to upload objects to someone else's bucket and need to grant the bucket owner full access to the object, but don't want to give full access to all users.

Method Detail

### values

    public static CannedAccessControlList[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CannedAccessControlList c : CannedAccessControlList.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CannedAccessControlList valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Returns the Amazon S3 x-amz-acl header value for this canned acl.

  Overrides:
    `toString` in class `Enum<CannedAccessControlList>`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.